Wine не хочет обновлятся

Аватар пользователя Meloman

Сегодня делаю yum update wine. В ответ -

Цитата:
--> Running transaction check
--> Processing Dependency: /usr/bin/xmessage for package: wine-core
--> Finished Dependency Resolution
Error: Missing Dependency: /usr/bin/xmessage is needed by package wine-core

Делаю

Цитата:
[root@meloman meloman]# yum install wine-core -y
Setting up Install Process
Setting up repositories
Reading repository metadata in from local files
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package wine-core.i386 0:0.9.16-1.110asp set to be updated
--> Running transaction check
--> Processing Dependency: /usr/bin/xmessage for package: wine-core
--> Finished Dependency Resolution
Error: Missing Dependency: /usr/bin/xmessage is needed by package wine-core

Ну, ладно, думаю, удалю wine, затем опять поставлю юмом - тот же результат. Теперь еще добавилось- как wine установить при таких ошибках...

Аватар пользователя lcf

Re: Wine не хочет обновлятся

yum install wine*

если не получиться то вот так

yum remove wine*

а потом пункт первый!

Аватар пользователя Meloman

Re: Wine не хочет обновлятся

Skala писал(а):
Ну, ладно, думаю, удалю wine, затем опять поставлю юмом - тот же результат.

Аватар пользователя KoT

Re: Wine не хочет обновлятся

ждём обновлений Улыбка

Аватар пользователя lcf

Re: Wine не хочет обновлятся

А проблема то большая! Вчера ставил тоже wine через yum
yum install wine*
сеня с утра решил обновиться. Вчера правда обновил всю систему, до того как поставил wine!
так вот пишу yum update, а оно:
Setting up Update Process
Setting up repositories
Reading repository metadata in from local files
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package wine-twain.i386 0:0.9.16-1.110asp set to be updated
---> Package wine-tools.i386 0:0.9.16-1.110asp set to be updated
---> Package wine-capi.i386 0:0.9.16-1.110asp set to be updated
---> Package wine-esd.i386 0:0.9.16-1.110asp set to be updated
---> Package wine-jack.i386 0:0.9.16-1.110asp set to be updated
---> Package wine-cms.i386 0:0.9.16-1.110asp set to be updated
---> Package wine-devel.i386 0:0.9.16-1.110asp set to be updated
---> Package wine-arts.i386 0:0.9.16-1.110asp set to be updated
---> Package xine-lib.i386 0:1.1.1-1.2.110asp set to be updated
---> Package xine-lib-devel.i386 0:1.1.1-1.2.110asp set to be updated
---> Package wine-core.i386 0:0.9.16-1.110asp set to be updated
---> Package wine-ldap.i386 0:0.9.16-1.110asp set to be updated
---> Package wine-nas.i386 0:0.9.16-1.110asp set to be updated
--> Running transaction check
--> Processing Dependency: /usr/bin/xmessage for package: wine-core
--> Finished Dependency Resolution
Error: Missing Dependency: /usr/bin/xmessage is needed by package wine-core

Аватар пользователя lcf

Re: Wine не хочет обновлятся

написал в тех поддержку ждем когда вынесут вердикт!

Аватар пользователя Meloman

Re: Wine не хочет обновлятся

Я пока поставил из исходников... (все равно уже было сказано - yum remove ....)

Аватар пользователя rjaan

Re: Wine не хочет обновлятся

lcf писал(а):
Error: Missing Dependency: /usr/bin/xmessage is needed by package wine-core

Да не wine -- это виноват, а пакет, который нужен для удовлетворения зависимости пакету wine-core, которой является /usr/bin/xmessage.
Для нахождения данного пакета выполните

[root@home ~]# wine provides  /usr/bin/xmessage

если ничего не найдет, тогда

[root@home ~]# wine provides xmessage

Затем, найденный пакет установите и продолжайте обновлять wine

[root@home ~]#yum update wine
Аватар пользователя Meloman

Re: Wine не хочет обновлятся

Цитата:
rjaan пишет:

lcf писал(а):
Error: Missing Dependency: /usr/bin/xmessage is needed by package wine-core

Да не wine -- это виноват, а пакет, который нужен для удовлетворения зависимости пакету wine-core, которой является /usr/bin/xmessage.
Для нахождения данного пакета выполните

[root@home ~]# wine provides  /usr/bin/xmessage

если ничего не найдет, тогда

[root@home ~]# wine provides xmessage

Затем, найденный пакет установите и продолжайте обновлять wine

[root@home ~]#yum update wine

А как же быть тем горемычным, кто удалил этот пакет? Ведь его не поставтиь- идут те же самые ошибки... Грустный

Аватар пользователя lcf

Re: Wine не хочет обновлятся

Цитата:
rjaan пишет:

lcf писал(а):
Error: Missing Dependency: /usr/bin/xmessage is needed by package wine-core

Да не wine -- это виноват, а пакет, который нужен для удовлетворения зависимости пакету wine-core, которой является /usr/bin/xmessage.
Для нахождения данного пакета выполните

[root@home ~]# wine provides  /usr/bin/xmessage

если ничего не найдет, тогда

[root@home ~]# wine provides xmessage

Затем, найденный пакет установите и продолжайте обновлять wine

[root@home ~]#yum update wine

[root@lcf ~]# wine provides /usr/bin/xmessage
wine: could not load L"c:\\windows\\system32\\provides.exe": Module not found
[root@lcf ~]# wine provides xmessage
wine: could not load L"c:\\windows\\system32\\provides.exe": Module not found

Аватар пользователя rjaan

Re: Wine не хочет обновлятся

lcf писал(а):
[root@lcf ~]# wine provides /usr/bin/xmessage

Виноват, это беспопутал конечно же нужно YUM использовать.
[root@lcf ~]# yum provides /usr/bin/xmessage

Вообщем, везде YUM, это опичЮтка

Аватар пользователя lcf

Re: Wine не хочет обновлятся

Цитата:
rjaan пишет:

lcf писал(а):
[root@lcf ~]# wine provides /usr/bin/xmessage

Виноват, это беспопутал конечно же нужно YUM использовать.
[root@lcf ~]# yum provides /usr/bin/xmessage

Вообщем, везде YUM, это опичЮтка

[root@lcf ~]# yum provides /usr/bin/xmessage
Searching Packages:
Setting up repositories
base 100% |=========================| 951 B 00:00
updates-released 100% |=========================| 951 B 00:00
Reading repository metadata in from local files
primary.xml.gz 100% |=========================| 408 kB 00:02
updates-re: ################################################## 1179/1179
Added 17 new packages, deleted 15 old in 4.30 seconds
No Matches found
[root@lcf ~]# yum provides xmessage
Searching Packages:
Setting up repositories
Reading repository metadata in from local files
Importing Additional filelist information for packages
filelists.xml.gz 100% |=========================| 1.9 MB 00:13
updates-re: ################################################## 1179/1179
Added 36 new packages, deleted 14 old in 7.37 seconds

kdeaccessibility.i386 1:3.5.0-0.1.fc4 base
Matched from:
/usr/share/icons/mono/scalable/apps/gxmessage.svgz

kdelibs-devel.i386 6:3.5.0-0.2.110asp base
Matched from:
/usr/include/kde/kxmessages.h
/usr/share/doc/HTML/en/kdelibs-apidocs/kdecore/html/kxmessages_8cpp-source.html
/usr/share/doc/HTML/en/kdelibs-apidocs/kdecore/html/kxmessages_8h-source.html

kdelibs-devel.i386 6:3.5.0-0.2.110asp base
Matched from:
/usr/include/kde/kxmessages.h
/usr/share/doc/HTML/en/kdelibs-apidocs/kdecore/html/kxmessages_8cpp-source.html
/usr/share/doc/HTML/en/kdelibs-apidocs/kdecore/html/kxmessages_8h-source.html

xorg-x11-tools.i386 6.8.2-37.110.49.2asp base
Matched from:
/usr/X11R6/bin/xmessage
/usr/X11R6/man/man1/xmessage.1x.gz

xorg-x11-tools.i386 6.8.2-37.110.49.2asp base
Matched from:
/usr/X11R6/bin/xmessage
/usr/X11R6/man/man1/xmessage.1x.gz

kdelibs-devel.i386 6:3.5.3-0.2.110asp updates-released
Matched from:
/usr/include/kde/kxmessages.h
/usr/share/doc/HTML/en/kdelibs-apidocs/kdecore/html/kxmessages_8cpp-source.html
/usr/share/doc/HTML/en/kdelibs-apidocs/kdecore/html/kxmessages_8h-source.html

kdelibs-devel.i386 6:3.5.3-0.2.110asp updates-released
Matched from:
/usr/include/kde/kxmessages.h
/usr/share/doc/HTML/en/kdelibs-apidocs/kdecore/html/kxmessages_8cpp-source.html
/usr/share/doc/HTML/en/kdelibs-apidocs/kdecore/html/kxmessages_8h-source.html

kdeaccessibility.i386 1:3.5.3-0.1.fc4 updates-released
Matched from:
/usr/share/icons/mono/scalable/apps/gxmessage.svgz

xorg-x11-tools.i386 6.8.2-37.110.49.2.2asp updates-released
Matched from:
/usr/X11R6/bin/xmessage
/usr/X11R6/man/man1/xmessage.1x.gz

xorg-x11-tools.i386 6.8.2-37.110.49.2.2asp updates-released
Matched from:
/usr/X11R6/bin/xmessage
/usr/X11R6/man/man1/xmessage.1x.gz

xorg-x11-tools.i386 6.8.2-37.110.49.2.2asp installed
Matched from:
/usr/X11R6/bin/xmessage
/usr/X11R6/man/man1/xmessage.1x.gz

kdelibs-devel.i386 6:3.5.3-0.2.110asp installed
Matched from:
/usr/include/kde/kxmessages.h
/usr/share/doc/HTML/en/kdelibs-apidocs/kdecore/html/kxmessages_8cpp-source.html
/usr/share/doc/HTML/en/kdelibs-apidocs/kdecore/html/kxmessages_8h-source.html

xorg-x11.i386 6.8.2-37.110.49.2.2asp installed
Matched from:
/usr/X11R6/lib/X11/app-defaults/Xmessage
/usr/X11R6/lib/X11/app-defaults/Xmessage-color
[root@lcf ~]# yum update xorg*
Setting up Update Process
Setting up repositories
Reading repository metadata in from local files
Could not find update match for xorg*
No Packages marked for Update/Obsoletion
[root@lcf ~]# yum update xorg-x11*
Setting up Update Process
Setting up repositories
Reading repository metadata in from local files
Could not find update match for xorg-x11*
No Packages marked for Update/Obsoletion

я не совсем понимаю вывод yum provides xmessage обясни пожалуйста!
я имею в виду не имеено этот вывод а вообще

Аватар пользователя KoT

Re: Wine не хочет обновлятся

* Wed Jul 05 2006 Andreas Bierfert

0.9.16-2
- fix #197637

Пробуйте обновлятся

Аватар пользователя Cherepulya

Re: Wine не хочет обновлятся

Это проблема (ошибка) сборки обновившегося wine. Еще утром указал ребятам и АСП. Уже все пофиксили.

Аватар пользователя lcf

Re: Wine не хочет обновлятся

Цитата:
KoT пишет:
* Wed Jul 05 2006 Andreas Bierfert

0.9.16-2
- fix #197637

Пробуйте обновлятся

работает!!!!!!!!!

Аватар пользователя rjaan

Re: Wine не хочет обновлятся

KoT,
. . .

Цитата:
xorg-x11-tools.i386 6.8.2-37.110.49.2.2asp installed
Matched from:
/usr/X11R6/bin/xmessage
/usr/X11R6/man/man1/xmessage.1x.gz
...

xmessage уже установлен, что говорит состояние installed пакета xorg-x11-tools.i386.
Тут видимо проблема в том, что при проверке зависимостей у rmp-пакета wine-core стоит путь /usr/bin/xmessage вместо /usr/X11R6/bin/xmessage. Попытайтесь сделать следующее:

[root@home ~]#ln -s /usr/X11R6/bin/xmessage /usr/bin/xmessage

Да, перед созданием символической ссылки /usr/bin/xmessage проверьте, на всякий случай, что нет ссылок на xmessage с каталогов /bin, /sbin и /usr/sbin.
Если этот финт не пройдет, то напишете об этом в support откуда Вы эти пакеты брали и у нас в Бакфиксах эту проблемку с путем xmessage для обновления wine отобразить за одно.

Аватар пользователя lcf

Re: Wine не хочет обновлятся

спасибо за разяснение provides я впринцепе догадывался но хотелось точного подтверждения!
а на счет обновления багу пофиксили все обновилось у меня!

Аватар пользователя KoT

Re: Wine не хочет обновлятся

rjaan писал(а):
xmessage уже установлен, что говорит состояние installed пакета xorg-x11-tools.i386.

Путь не совпадает

RSS-материал